Bug 143548 - Kernel support for ISA PnP devices disabled
Kernel support for ISA PnP devices disabled
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: dff
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-12-22 02:46 EST by Joachim Frieben
Modified: 2012-06-20 12:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 12:10:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2004-12-22 02:46:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041219 Epiphany/1.4.4

Description of problem:
In the specified kernel, ISA PnP support is missing. So are a number
of kernel modules for not very recent hardware. On both of a PR440FX
based workstation and an IBM Thinkpad 600e, the sound device is some
integrated CS423X chip which is connected to the system via the ISA
bus interface. Sound works great for both of them under FC2 (and the
first computer under FC3). Please consider reenabling ISA PnP support
in the kernel.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install RHEL4 Beta 2.
2. Check the presence of the kernel log message "isapnp: Scanning for
PnP cards".
3. Note that the "/lib/modules/2.6.9-1.675_EL/kernel/sound/isa"
directory is essentially empty.    

Actual Results:  No sound available.

Expected Results:  Sound works correctly as under FC2.

Additional info:

There is no entry in the kernel RPM changelog indicating that or why
ISA PnP support has been dropped. In the RHEL3 kernels, it seems to be
present though.
Comment 1 Dave Jones 2005-01-17 18:05:50 EST
reassigning to product management.
Comment 2 Suzanne Hillman 2005-02-14 17:08:33 EST
Internal RFE bug #148026 entered; will be considered for future releases.
Comment 3 Joachim Frieben 2009-06-07 00:35:33 EDT
Support for ISA based CS423X sound devices is also missing in RHEL 5.3.
Comment 4 Jiri Pallich 2012-06-20 12:10:30 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.